org.bouncycastle.bcpg.attr

## Class ImageAttribute

- java.lang.Object
- - org.bouncycastle.bcpg.UserAttributeSubpacket
  - - org.bouncycastle.bcpg.attr.ImageAttribute

    public class ImageAttribute
    extends UserAttributeSubpacket

Basic type for a image attribute packet.

### Field Summary

Fields
`static int` `JPEG`

### Fields inherited from class org.bouncycastle.bcpg.UserAttributeSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`ImageAttribute(byte[] data)`
`ImageAttribute(int imageType, byte[] imageData)`

### Method Summary

Methods
`int` `getEncoding()`
`byte[]` `getImageData()`
`int` `version()`

### Methods inherited from class org.bouncycastle.bcpg.UserAttributeSubpacket

`encode, equals, getData, getType, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JPEG

    public static final int JPEG

See Also:
  Constant Field Values

### Constructor Detail

#### ImageAttribute

    public ImageAttribute(byte[] data)

#### ImageAttribute

    public ImageAttribute(int imageType,
                  byte[] imageData)

### Method Detail

#### version

    public int version()

#### getEncoding

    public int getEncoding()

#### getImageData

    public byte[] getImageData()